commit:     0789043be6039284f9cb88d089afb243428d5d1e
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 14 16:45:37 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Mar 16 07:35:49 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0789043b

python-utils-r1.eclass: Do not create 'python.pc' wrapper

Do not create 'python.pc', only 'python[23].pc'.  This seems to match
what other distributions are doing.

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 eclass/python-utils-r1.eclass | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

diff --git a/eclass/python-utils-r1.eclass b/eclass/python-utils-r1.eclass
index 325964e0e0e..28314d5135d 100644
--- a/eclass/python-utils-r1.eclass
+++ b/eclass/python-utils-r1.eclass
@@ -978,7 +978,7 @@ python_wrapper_setup() {
                # Clean up, in case we were supposed to do a cheap update.
                rm -f "${workdir}"/bin/python{,2,3}{,-config} || die
                rm -f "${workdir}"/bin/2to3 || die
-               rm -f "${workdir}"/pkgconfig/python{,2,3}.pc || die
+               rm -f "${workdir}"/pkgconfig/python{2,3}.pc || die
 
                local EPYTHON PYTHON
                python_export "${impl}" EPYTHON PYTHON
@@ -1021,8 +1021,7 @@ python_wrapper_setup() {
 
                        # Python 2.7+.
                        ln -s 
"${EPREFIX}"/usr/$(get_libdir)/pkgconfig/${EPYTHON/n/n-}.pc \
-                               "${workdir}"/pkgconfig/python.pc || die
-                       ln -s python.pc 
"${workdir}"/pkgconfig/python${pyver}.pc || die
+                               "${workdir}"/pkgconfig/python${pyver}.pc || die
                else
                        nonsupp+=( 2to3 python-config "python${pyver}-config" )
                fi

Reply via email to